Loading...
Searching...
No Matches
RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter Struct Reference

`#include <ROMol.h>`

## Public Types

using | iterator_category = std::random_access_iterator_tag
using | difference_type = std::ptrdiff_t
using | value_type = Vertex
using | pointer = Vertex *
using | reference = Vertex &
using | const_reference = Vertex const &

## Public Member Functions

void | checkIterator () const
| CXXAtomIter ()
| CXXAtomIter (Graph *graph, Iterator pos)
const_reference | operator* () const
const_reference | operator[] (difference_type n) const
CXXAtomIter & | operator++ ()
CXXAtomIter | operator++ (int)
CXXAtomIter & | operator-- ()
CXXAtomIter | operator+ (difference_type n) const
CXXAtomIter | operator- (difference_type n) const
CXXAtomIter | operator-- (int)
CXXAtomIter & | operator+= (difference_type n)
CXXAtomIter & | operator-= (difference_type n)
difference_type | operator- (const CXXAtomIter &other) const
bool | operator== (const CXXAtomIter &other) const
bool | operator!= (const CXXAtomIter &other) const
bool | operator< (const CXXAtomIter &other) const
bool | operator<= (const CXXAtomIter &other) const
bool | operator> (const CXXAtomIter &other) const
bool | operator>= (const CXXAtomIter &other) const

## Public Attributes

Graph * | graph = nullptr
Iterator | pos
size_t | osizeAtoms {0}
size_t | osizeBonds {0}

## Friends

CXXAtomIter | operator+ (difference_type n, const CXXAtomIter &it)

## Detailed Description

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>
struct RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter

Definition at line 122 of file ROMol.h.

## Member Typedef Documentation

## const_reference

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

using RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::const_reference = Vertex const &

Definition at line 128 of file ROMol.h.

## difference_type

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

using RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::difference_type = std::ptrdiff_t

Definition at line 124 of file ROMol.h.

## iterator_category

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

using RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::iterator_category = std::random_access_iterator_tag

Definition at line 123 of file ROMol.h.

## pointer

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

using RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::pointer = Vertex *

Definition at line 126 of file ROMol.h.

## reference

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

using RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::reference = Vertex &

Definition at line 127 of file ROMol.h.

## value_type

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

using RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::value_type = Vertex

Definition at line 125 of file ROMol.h.

## Constructor & Destructor Documentation

## CXXAtomIter() [1/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::CXXAtomIter | ( |  | ) |

inline

Definition at line 142 of file ROMol.h.

Referenced by operator!=(), operator+(), operator+, operator++(), operator++(), operator+=(), operator-(), operator-(), operator--(), operator--(), operator-=(), operator<(), operator<=(), operator==(), operator>(), and operator>=().

## CXXAtomIter() [2/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::CXXAtomIter | ( | Graph * | graph,
|  | Iterator | pos )

inline

Definition at line 144 of file ROMol.h.

References graph, osizeAtoms, osizeBonds, and pos.

## Member Function Documentation

## checkIterator()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

void RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::checkIterator | ( |  | ) | const

inline

Definition at line 135 of file ROMol.h.

References graph, osizeAtoms, and osizeBonds.

Referenced by operator*(), and operator[]().

## operator!=()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

bool RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator!= | ( | const CXXAtomIter & | other | ) | const

inline

Definition at line 210 of file ROMol.h.

References CXXAtomIter().

## operator*()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

const_reference RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator* | ( |  | ) | const

inline

Definition at line 155 of file ROMol.h.

References checkIterator(), graph, and pos.

## operator+()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

CXXAtomIter RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator+ | ( | difference_type | n | ) | const

inline

Definition at line 180 of file ROMol.h.

References CXXAtomIter(), graph, and pos.

## operator++() [1/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

CXXAtomIter & RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator++ | ( |  | ) |

inline

Definition at line 167 of file ROMol.h.

References CXXAtomIter(), and pos.

## operator++() [2/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

CXXAtomIter RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator++ | ( | int |  | ) |

inline

Definition at line 171 of file ROMol.h.

References CXXAtomIter().

## operator+=()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

CXXAtomIter & RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator+= | ( | difference_type | n | ) |

inline

Definition at line 192 of file ROMol.h.

References CXXAtomIter(), and pos.

## operator-() [1/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

difference_type RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator- | ( | const CXXAtomIter & | other | ) | const

inline

Definition at line 200 of file ROMol.h.

References CXXAtomIter(), and pos.

## operator-() [2/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

CXXAtomIter RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator- | ( | difference_type | n | ) | const

inline

Definition at line 183 of file ROMol.h.

References CXXAtomIter(), graph, and pos.

## operator--() [1/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

CXXAtomIter & RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator-- | ( |  | ) |

inline

Definition at line 176 of file ROMol.h.

References CXXAtomIter(), and pos.

## operator--() [2/2]

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

CXXAtomIter RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator-- | ( | int |  | ) |

inline

Definition at line 187 of file ROMol.h.

References CXXAtomIter().

## operator-=()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

CXXAtomIter & RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator-= | ( | difference_type | n | ) |

inline

Definition at line 196 of file ROMol.h.

References CXXAtomIter(), and pos.

## operator<()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

bool RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator< | ( | const CXXAtomIter & | other | ) | const

inline

Definition at line 213 of file ROMol.h.

References CXXAtomIter(), and pos.

## operator<=()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

bool RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator<= | ( | const CXXAtomIter & | other | ) | const

inline

Definition at line 214 of file ROMol.h.

References CXXAtomIter(), and pos.

## operator==()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

bool RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator== | ( | const CXXAtomIter & | other | ) | const

inline

Definition at line 207 of file ROMol.h.

References CXXAtomIter(), graph, and pos.

## operator>()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

bool RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator> | ( | const CXXAtomIter & | other | ) | const

inline

Definition at line 215 of file ROMol.h.

References CXXAtomIter(), and pos.

## operator>=()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

bool RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator>= | ( | const CXXAtomIter & | other | ) | const

inline

Definition at line 216 of file ROMol.h.

References CXXAtomIter(), and pos.

## operator[]()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

const_reference RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::operator[] | ( | difference_type | n | ) | const

inline

Definition at line 162 of file ROMol.h.

References checkIterator(), graph, and pos.

## Friends And Related Symbol Documentation

## operator+

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

CXXAtomIter operator+ | ( | difference_type | n,
|  | const CXXAtomIter & | it )

friend

Definition at line 203 of file ROMol.h.

References CXXAtomIter(), graph, and pos.

## Member Data Documentation

## graph

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

Graph* RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::graph = nullptr

Definition at line 130 of file ROMol.h.

Referenced by checkIterator(), CXXAtomIter(), operator*(), operator+(), operator+, operator-(), operator==(), and operator[]().

## osizeAtoms

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

size_t RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::osizeAtoms {0}

Definition at line 132 of file ROMol.h.

Referenced by checkIterator(), and CXXAtomIter().

## osizeBonds

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

size_t RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::osizeBonds {0}

Definition at line 133 of file ROMol.h.

Referenced by checkIterator(), and CXXAtomIter().

## pos

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator, bool CheckedAtoms = false, bool CheckedBonds = false>

Iterator RDKit::CXXAtomIterator< Graph, Vertex, Iterator, CheckedAtoms, CheckedBonds >::CXXAtomIter::pos

Definition at line 131 of file ROMol.h.

Referenced by CXXAtomIter(), operator*(), operator+(), operator+, operator++(), operator+=(), operator-(), operator-(), operator--(), operator-=(), operator<(), operator<=(), operator==(), operator>(), operator>=(), and operator[]().

The documentation for this struct was generated from the following file:

- ROMol.h